#version 450

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec3 inNormal;
layout(location = 2) in vec2 inUV;

layout(location = 0) out vec3 outWorldPos;

layout (push_constant) uniform PushConstant {
    mat4 proj;
    mat4 view;
    mat4 model;
    vec4 lightPos;
} pc;

void main()
{
    vec4 worldPos = pc.model * vec4(inPosition, 1.0) ;
    outWorldPos = worldPos.xyz;;
    gl_Position = pc.proj * pc.view * worldPos;
}

